/*
 * YARK - Yet Another Real-time Kernel
 * Copyright (C) 1995 Sleepless Software
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *	Author: Bryan Ford
 */
#ifndef _MACH_I386_YARK_IPC_H_
#define _MACH_I386_YARK_IPC_H_

/* YARK-i386 IPC register conventions:
   On entry:
	eax	Pointer to 4 longwords to pass in registers
	ebx	Size of receive buffer
	ecx	Amount of data to send
	edx	Target thread ID
	esi	Pointer to send buffer
	edi	Pointer to receive buffer
	ebp	(scratch)
	esp	current_thread+TH_SS
   On return:
   	eax	Received register 1
   	ebx	Amount of data received
	ecx	Received register 2
	edx	(scratch)
	esi	Received register 3
	edi	Received register 4
	ebp	(scratch)
*/

#define YARK_REGS 4

#endif _MACH_I386_YARK_IPC_H_
